import { IconType } from "../constants/icons";
import { ColorType } from "../constants/colors";
import { NotificationContainerPosition } from "../components/x-notification/component";
export interface INotification {
    (options: NotificationOptions | string): void;
    success(message: string, label?: string, icon?: IconType, interval?: number): void;
    fail(message: string, label?: string, icon?: IconType, interval?: number): void;
}
export interface NotificationOptions {
    label?: string;
    message: string;
    color?: ColorType;
    icon?: IconType;
    interval?: number;
    position?: NotificationContainerPosition;
    onclose?: () => void;
}
export declare class NotificationService {
    private topContainer;
    private bottomContainer;
    private constructor();
    call(options: NotificationOptions | string): void;
    private shouldQueue;
    private prepareNotification;
    success(message: string, label?: string, icon?: IconType, interval?: number): void;
    fail(message: string, label?: string, icon?: IconType, interval?: number): void;
    static create(): INotification;
}
export declare const Notification: INotification;
